org.springframework.batch.core.configuration.xml

## Class SplitParser

- java.lang.Object
- - org.springframework.batch.core.configuration.xml.SplitParser

-     public class SplitParser
      extends java.lang.Object

  Internal parser for the <split/> elements inside a job. A split element optionally references a bean definition for a `TaskExecutor` and goes on to list a set of transitions to other states with <next on="pattern" to="stepName"/>. Used by the `JobParser`.
  Author:
    Dave Syer
  See Also:
    `JobParser`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitParser(java.lang.String jobFactoryRef)` Construct a `InlineFlowParser` using the provided job repository ref.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<org.springframework.beans.factory.config.BeanDefinition>` | `parse(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext)` Parse the split and turn it into a list of transitions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SplitParser

          public SplitParser(java.lang.String jobFactoryRef)

      Construct a `InlineFlowParser` using the provided job repository ref.
      Parameters:
        `jobFactoryRef` - the reference to the `JobParserJobFactoryBean` from the enclosing tag

  - ### Method Detail

    - #### parse

          public java.util.Collection<org.springframework.beans.factory.config.BeanDefinition> parse(org.w3c.dom.Element element,
                                                                                                     org.springframework.beans.factory.xml.ParserContext parserContext)

      Parse the split and turn it into a list of transitions.
      Parameters:
        `element` - the <split/gt; element to parse
        `parserContext` - the parser context for the bean factory
      Returns:
        a collection of bean definitions for `StateTransition` instances objects